View Issue Details

IDProjectCategoryView StatusLast Update
0001786SUMoRefactoringpublic2012-10-26 22:22
ReporterKyle_KatarnAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4.9 
Summary0001786: "Updater" as ProductName shall be filtered
Description"Updater" as ProductName shall be filtered
Additional Informationhttp://www.kcsoftwares.com/sumo/start/searchsumo.php?query=updater
http://www.wilderssecurity.com/showpost.php?p=2127230&postcount=364
TagsNo tags attached.

Relationships

related to 0001788 resolvedKyle_Katarn "Update Service" shall be filtered 
related to 0001789 resolvedKyle_Katarn Filter out useless entries of Firefox family 
related to 0001797 acknowledgedKyle_Katarn Filter out common redundant entries using file masks 

Activities

bytehead

2012-10-10 00:46

reporter   ~0001236

If we're talking about Product field sub-string matching, then I know at least one exception that should be accounted for (not filtered): Flash Player Auto-Updater. It's a standalone app, not a bundled update component, thus should be left in.

We might even consider a broader pattern of *update* (not only *updater*) here. This would cover 0001788, too. Although, there could be more exceptions to cope with.

Lots of other redundant components could be filtered out just by file path/name sub-string matching:

1) *updater.exe or maybe even *update*.exe except for '\Alternative Flash Player Auto-Updater\', '*\FileHippo.com\', "\Acer Updater\, ...?;
 1a) *CheckForUpdate.exe and '\*Updatus\' if *update*.exe would be considered way too broad (which I think is not);
2) *installer.exe except for ???;
3) *helper.exe except for ???;
4) *config.exe except for ???;
5) *plugin*.exe except for ???;
6) maintenanceservice*.exe, crashreporter.exe, webapprt-stub.exe, plugin-container.exe (most Firefox-derived browsers);
7) *upgrader.exe except for ???;

What do you think?

Kyle_Katarn

2012-10-10 20:51

administrator   ~0001241

I think that (6) would deserve a dedicated issue.
Would you please be so kind to have it opened ? (it is your good idea)

bytehead

2012-10-11 02:11

reporter   ~0001242

^ done.

bytehead

2012-10-11 02:16

reporter   ~0001243

Last edited: 2012-10-12 21:11

View 2 revisions

Not sure though why you've cherry picked that one exactly, Kyle. I think all of them deserve to be registered and implemented ;) Any objections?

Kyle_Katarn

2012-10-13 11:31

administrator   ~0001253

No objection but implementation will be slightly different for (6)

bytehead

2012-10-20 15:11

reporter   ~0001272

^ filed a dedicated request for other mentioned suggestions.

Kyle_Katarn

2012-10-20 17:59

administrator   ~0001273

ok

Issue History

Date Modified Username Field Change
2012-10-08 22:38 Kyle_Katarn New Issue
2012-10-08 22:38 Kyle_Katarn Assigned To => Kyle_Katarn
2012-10-08 22:38 Kyle_Katarn Status new => acknowledged
2012-10-09 23:52 bytehead Relationship added related to 0001788
2012-10-10 00:46 bytehead Note Added: 0001236
2012-10-10 20:51 Kyle_Katarn Note Added: 0001241
2012-10-11 02:11 bytehead Relationship added related to 0001789
2012-10-11 02:11 bytehead Note Added: 0001242
2012-10-11 02:16 bytehead Note Added: 0001243
2012-10-12 21:11 bytehead Note Edited: 0001243 View Revisions
2012-10-13 11:31 Kyle_Katarn Note Added: 0001253
2012-10-20 15:08 bytehead Relationship added related to 0001797
2012-10-20 15:11 bytehead Note Added: 0001272
2012-10-20 17:59 Kyle_Katarn Note Added: 0001273
2012-10-26 22:22 Kyle_Katarn Status acknowledged => resolved
2012-10-26 22:22 Kyle_Katarn Fixed in Version => 3.4.9
2012-10-26 22:22 Kyle_Katarn Resolution open => fixed